This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 208770 - Need to do virtual hosting with jabberd
Need to do virtual hosting with jabberd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jabberd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 16:48 EDT by Charles VINCHON
Modified: 2008-05-06 12:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a modified init.d script to run my virtual domains (4.77 KB, application/octet-stream)
2006-10-01 16:48 EDT, Charles VINCHON
no flags Details

  None (edit)
Description Charles VINCHON 2006-10-01 16:48:52 EDT
Description of problem: 

I have to host several domain on the same server. How run many session managers
and what configuration files to create.

I've created a personnal method similar on the Mandriva one to do virtual
hosting with apache, but when a update of jabberd come when i update my server,
i have always a lot of work to do to re-run the jabberd server

Why not including the possibility of a simple virtual hosting with jabberd in
fedora.

I have used a simple method:
*the folder /etc/jabberd contains the configuration for jabberd daemons and for
the session manager (or sm) of the primary domain
*a /etc/jabberd/vhosts.d contains config files for other sm of the other domains
*a /etc/jabberd/certificates.d contains .pem files
*a /etc/jabberd/components.d contains components to run

the modified init.d script search for configurations files in these folders and
launch the differenst things.

Do you think it possible to apply these change or making something similar?
Comment 1 Charles VINCHON 2006-10-01 16:48:52 EDT
Created attachment 137511 [details]
a modified init.d script to run my virtual domains
Comment 2 Adrian Reber 2006-11-07 10:24:52 EST
In theory I have nothing against your changes but before including it it would
be very important for me that current jabberd setups will continue to work
without modifications. So if you can provide a script which, in addition to the
current setup, also supports virtual hosting I will include it.
It would also be helpful if your comments would be in english and I would also
prefer a diff instead of a new copy of the file. That way it is much easier for
me to see what changed.
Comment 3 Charles VINCHON 2006-11-07 13:10:40 EST
I'll try to do it as soon as possible (I have many difficulies to manage pid and
locks in this script, could you have a look when i'll send you the modified file?)
Comment 4 Bug Zapper 2008-04-03 23:53:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:25:59 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.